using Demo.Data.Repository;
using Demo.Data.RemoteData.RemoteDataBase.DAO;
using System.Collections.Generic;

namespace Demo.Domain.UseCase
{
    public class GroupUseCase
    {
        private readonly IGroupRepository _groupRepository;

        public GroupUseCase(IGroupRepository groupRepository)
        {
            _groupRepository = groupRepository;
        }

        public IEnumerable<Group> GetAllGroups()
        {
            return _groupRepository.GetAllGroups();
        }

        public void AddGroup(Group group)
        {
            _groupRepository.AddGroup(group);
        }

        public void UpdateGroupName(int id, string name)
        {
            _groupRepository.UpdateGroupName(id, name);
        }

        public void DeleteGroup(int id)
        {
            _groupRepository.DeleteGroup(id);
        }
    }
}